Package com.ocient.jdbc.proto

# Class PlanProtocol.GdcLookupOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.GdcLookupOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.GdcLookupOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.GdcLookupOperator

    public static final class PlanProtocol.GdcLookupOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>
    implements PlanProtocol.GdcLookupOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.GdcLookupOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.GdcLookupOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.GdcLookupOperator` | `build()` |
`PlanProtocol.GdcLookupOperator` | `buildPartial()` |
`PlanProtocol.GdcLookupOperator.Builder` | `clear()` |
`PlanProtocol.GdcLookupOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.GdcLookupOperator.Builder` | `clearId()` | a string identifier that is the uuid of this lookup table, and the version number(higher is newer)
`PlanProtocol.GdcLookupOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.GdcLookupOperator.Builder` | `clearVersion()` | `int64 version = 2;`
`PlanProtocol.GdcLookupOperator.Builder` | `clone()` |
`PlanProtocol.GdcLookupOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`String` | `getId()` | a string identifier that is the uuid of this lookup table, and the version number(higher is newer)
`com.google.protobuf.ByteString` | `getIdBytes()` | a string identifier that is the uuid of this lookup table, and the version number(higher is newer)
`long` | `getVersion()` | `int64 version = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.GdcLookupOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.GdcLookupOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.GdcLookupOperator.Builder` | `mergeFrom​(PlanProtocol.GdcLookupOperator other)` |
`PlanProtocol.GdcLookupOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.GdcLookupOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.GdcLookupOperator.Builder` | `setId​(String value)` | a string identifier that is the uuid of this lookup table, and the version number(higher is newer)
`PlanProtocol.GdcLookupOperator.Builder` | `setIdBytes​(com.google.protobuf.ByteString value)` | a string identifier that is the uuid of this lookup table, and the version number(higher is newer)
`PlanProtocol.GdcLookupOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.GdcLookupOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.GdcLookupOperator.Builder` | `setVersion​(long value)` | `int64 version = 2;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### clear

public PlanProtocol.GdcLookupOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.GdcLookupOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.GdcLookupOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.GdcLookupOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.GdcLookupOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### setField

public PlanProtocol.GdcLookupOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### clearField

public PlanProtocol.GdcLookupOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### clearOneof

public PlanProtocol.GdcLookupOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### setRepeatedField

public PlanProtocol.GdcLookupOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### addRepeatedField

public PlanProtocol.GdcLookupOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### mergeFrom

public PlanProtocol.GdcLookupOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### mergeFrom

public PlanProtocol.GdcLookupOperator.Builder mergeFrom​(PlanProtocol.GdcLookupOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### mergeFrom

public PlanProtocol.GdcLookupOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.GdcLookupOperator.Builder>`
Throws:
  `IOException`

### getId

public String getId()

    a string identifier that is the uuid of this lookup table, and the version number(higher is newer)

`string id = 1;`

Specified by:
  `getId` in interface `PlanProtocol.GdcLookupOperatorOrBuilder`

### getIdBytes

public com.google.protobuf.ByteString getIdBytes()

    a string identifier that is the uuid of this lookup table, and the version number(higher is newer)

`string id = 1;`

Specified by:
  `getIdBytes` in interface `PlanProtocol.GdcLookupOperatorOrBuilder`

### setId

public PlanProtocol.GdcLookupOperator.Builder setId​(String value)

    a string identifier that is the uuid of this lookup table, and the version number(higher is newer)

`string id = 1;`

### clearId

public PlanProtocol.GdcLookupOperator.Builder clearId()

    a string identifier that is the uuid of this lookup table, and the version number(higher is newer)

`string id = 1;`

### setIdBytes

public PlanProtocol.GdcLookupOperator.Builder setIdBytes​(com.google.protobuf.ByteString value)

    a string identifier that is the uuid of this lookup table, and the version number(higher is newer)

`string id = 1;`

### getVersion

public long getVersion()
`int64 version = 2;`

Specified by:
  `getVersion` in interface `PlanProtocol.GdcLookupOperatorOrBuilder`

### setVersion

public PlanProtocol.GdcLookupOperator.Builder setVersion​(long value)
`int64 version = 2;`

### clearVersion

public PlanProtocol.GdcLookupOperator.Builder clearVersion()
`int64 version = 2;`

### setUnknownFields

public final PlanProtocol.GdcLookupOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.GdcLookupOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GdcLookupOperator.Builder>`